Skip to main content
GET
Get an export

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

export_id
string<uuid>
required

The exportId returned when you created the export.

Response

Your export. A completed one includes a download link, or message when it has no rows.

Your export. A completed one includes a download link, or message when it has no rows.

exportId
string<uuid>
required

ID of your export.

Example:

"218ad339-00cd-4e11-aeaa-8d96694908a0"

status
enum<string>
required

Current status of your export.

Available options:
pending,
running,
completed,
failed
Example:

"completed"

dataset
enum<string>
required

The dataset being exported.

Available options:
monitoring_metrics
Example:

"monitoring_metrics"

createdAt
string<date-time>
required

When you requested the export.

Example:

"2026-09-08T14:03:12Z"

downloadUrl
string | null

Link to download the Parquet file, present only when status is completed and the export has data. It is valid for 1 hour; check the export again to get a new link.

Example:

"https://downloads.example.com/exports/218ad339-00cd-4e11-aeaa-8d96694908a0.parquet?expires=3600&signature=..."

downloadExpiresAt
string<date-time> | null

When downloadUrl stops working.

Example:

"2026-09-08T15:21:40Z"

error
string | null

Why the export failed, present only when status is failed. One of An unexpected error occurred., The export result did not match the expected schema or Export exceeded the processing time limit. Request a new export to try again.

Example:

"Export exceeded the processing time limit"

message
string | null

Present only when status is completed but no rows matched your request, so there is no file to download: No data was found for the requested date range.

Example:

"No data was found for the requested date range."